<div class="row" style="height: 100px;background-color: #014254">
  <h1 style="color: snow;font-size: 20px;margin-top: 35px;margin-left: 25px; "> ประกาศขาย - เช่า</h1>

</div>

<!-- <button mat-raised-button (click)="isLinear = !isLinear" id="toggle-linear">
    {{!isLinear ? 'Enable linear mode' : 'Disable linear mode'}}
  </button> -->
<mat-horizontal-stepper linear #stepper>
  <mat-step [stepControl]="firstFormGroup">
    <form [formGroup]="firstFormGroup">
      <ng-template matStepLabel>หัวข้อประกาศ</ng-template>
      
      <p>
        <mat-form-field>
          <mat-label>ประเภทอสังหาริมทรัพย์</mat-label>
          <mat-select [(value)]="selected1" formControlName="firstCtrl1" required>
            <mat-option>None</mat-option>
            <mat-option value="บ้านเดี่ยว">บ้านเดี่ยว</mat-option>
            <mat-option value="ทาวน์เฮ้าส์">ทาวน์เฮ้าส์</mat-option>
            <mat-option value="อพาร์ทเมนท์">อพาร์ทเมนท์</mat-option>
            <mat-option value="อาคารพาณิชย์">อาคารพาณิชย์</mat-option>
            <mat-option value="คอนโดมิเนียม">คอนโดมิเนียม</mat-option>
            <mat-option value="ที่ดิน">ที่ดิน</mat-option>
          </mat-select>
        </mat-form-field>
      </p>
      <p>
        <mat-radio-group aria-label="Select an option" formControlName="firstCtrl2" required>
          <mat-radio-button value="1">ขาย</mat-radio-button>
          <mat-radio-button value="2">เช่า</mat-radio-button>
        </mat-radio-group>
      </p>
      <!-- <mat-form-field style="width: 50%">
        <mat-label>ทำเลที่ตั้ง</mat-label>
        <mat-select placeholder="ChooseUser" style="font-size: 14px;">
          <mat-option *ngFor="let list of listUsername" [value]="">
            {{list.cus_fname}}
          </mat-option>
        </mat-select>
      </mat-form-field> -->
      <p>
        <mat-form-field style="width: 50%">
          <mat-label>หัวข้อประกาศ</mat-label>
          <textarea matInput rows="2" cols="50" formControlName="firstCtrl3" required></textarea>
        </mat-form-field>
      </p>
      <p>
        <mat-form-field style="width: 50%">
          <mat-label>รายละเอียดประกาศ</mat-label>
          <textarea matInput rows="5" cols="50" formControlName="firstCtrl4" required></textarea>
        </mat-form-field>
      </p>
      <div>
        <button mat-button matStepperNext style="background: #1d6a96 ; color: snow; ">ถัดไป</button>
      </div>
    </form>
  </mat-step>
  <mat-step [stepControl]="secondFormGroup">
    <form [formGroup]="secondFormGroup">
      <ng-template matStepLabel>รายละเอียดประกาศ</ng-template>
      <!-- <mat-form-field>
        <input matInput placeholder="Address" formControlName="secondCtrl" required>
      </mat-form-field> -->

      <p>
        <mat-form-field>
          <mat-label>ห้องนอน</mat-label>
          <mat-select [(value)]="selected2" formControlName="secondCtrl1" required>
            <mat-option>None</mat-option>
            <mat-option value="1">1 ห้อง</mat-option>
            <mat-option value="2">2 ห้อง</mat-option>
            <mat-option value="3">3 ห้อง</mat-option>
            <mat-option value="4">4 ห้อง</mat-option>
          </mat-select>
        </mat-form-field>
        <mat-form-field style="margin-left: 10px">
          <mat-label>ห้องน้ำ</mat-label>
          <mat-select [(value)]="selected3" formControlName="secondCtrl2" required>
            <mat-option>None</mat-option>
            <mat-option value="1">1 ห้อง</mat-option>
            <mat-option value="2">2 ห้อง</mat-option>
            <mat-option value="3">3 ห้อง</mat-option>
            <mat-option value="4">4 ห้อง</mat-option>
          </mat-select>
        </mat-form-field>
        <mat-form-field style="margin-left: 10px">
          <mat-label>ชั้น</mat-label>
          <mat-select [(value)]="selected4"  formControlName="secondCtrl3" required>
            <mat-option>None</mat-option>
            <mat-option value="1">1 ชั้น</mat-option>
            <mat-option value="2">2 ชั้น</mat-option>
            <mat-option value="3">3 ชั้น</mat-option>
            <mat-option value="4">4 ชั้น</mat-option>
            <mat-option value="5">5 ชั้น</mat-option>
            <mat-option value="6">6 ชั้น</mat-option>
          </mat-select>
        </mat-form-field>
      </p>
      <p>
        <mat-form-field>
          <mat-label>ขนาดพื้นที่ดิน</mat-label>
          <input matInput type="number" formControlName="secondCtrl4" placeholder="ตารางเมตร">
        </mat-form-field>

        <mat-form-field style="margin-left: 10px">
          <mat-label>ขนาดพื้นที่ใช้สอย</mat-label>
          <input matInput type="number" formControlName="secondCtrl5" placeholder="ตารางเมตร">
        </mat-form-field>
      </p>

      
        <h4>คุณลักษณะ</h4>
        <section>
          <div class="row">
            <div class="col-3">
              <p>
                <mat-checkbox [(ngModel)]="style1">ที่จอดรถ</mat-checkbox>
              </p>
              <p>
                <mat-checkbox [(ngModel)]="style2">ลานจอดรถ</mat-checkbox>
              </p>
              <p>
                <mat-checkbox [(ngModel)]="style3">รักษาความปลอดภัย</mat-checkbox>
              </p>
              <p>
                <mat-checkbox [(ngModel)]="style4">สระว่ายน้า</mat-checkbox>
              </p>
              <p>
                <mat-checkbox [(ngModel)]="style5">กล้องวงจรปิด</mat-checkbox>
              </p>
            </div>
            <div class="col">
              <p>
                <mat-checkbox [(ngModel)]="style6">ฟิตเนส</mat-checkbox>
              </p>
              <p>
                <mat-checkbox [(ngModel)]="style7">สนามเด็กเล่น</mat-checkbox>
              </p>
              <p>
                <mat-checkbox [(ngModel)]="style8">มินิมาร์ท</mat-checkbox>
              </p>
              <p>
                <mat-checkbox [(ngModel)]="style9">ซัก อบ รีด</mat-checkbox>
              </p>
              <p>
                <mat-checkbox [(ngModel)]="style10">ศาลาชมทิวทัศน์</mat-checkbox>
              </p>
            </div>
          </div>
        </section>
      

      <div>
        <button mat-raised-button matStepperPrevious >ย้อนกลับ</button>
        <button mat-button matStepperNext style="background: #1d6a96 ; color: snow; ">ถัดไป</button>
      </div>
    </form>
  </mat-step>
  <mat-step>
    <ng-template matStepLabel >ยืนยันประกาศ</ng-template>
    You are now done.
    <div>
      <button mat-raised-button matStepperPrevious>ย้อนกลับ</button>
      <button mat-button (click)="onProperty()">Reset</button>
    </div>
  </mat-step>
</mat-horizontal-stepper>